SOGo | BTS

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004671SOGoBackend Calendarpublic2019-02-05 16:322019-02-12 17:56
ReporterMarcusKA 
Assigned Toludovic 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionno change required 
Platform[Server] LinuxOSUbuntuOS Version16.04 LTS
Product Version4.0.5 
Target VersionFixed in Version 
Summary0004671: CalDAV isn't working
DescriptionTried it with several calendars. The generated URL only shows:

An error occurred during object publishing
no WebDAV GET support?!

in sogo.log all looks fine:

GET /SOGo/so/yyy@xxx.net/Calendar/eventslist?asc=1&day=20190205&filterpopup=view_next7&search=title_Category_Location&sort=start&value= HTTP/1.1" 200 1274/0 0.301 - - 0

Steps To ReproduceTry to share a calendar with CalDAV
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
User avatar (0013321)
Christian Mack (developer)
2019-02-06 04:45

Do you use a SOGo nightly build or a stable 4.0.5?
(0013336)
MarcusKA (reporter)
2019-02-12 05:36

i'm using the nightly build. Just setup a completely new server, same issue like on the old one.
User avatar (0013337)
Christian Mack (developer)
2019-02-12 09:17

CalDAV does not use /SOGo/so/ URLs!!!
Those are only used for the web frontend.

CalDAV only uses /SOGo/dav/ URLS.
Seems like a configuration failure on your calDAV client.
(0013338)
MarcusKA (reporter)
2019-02-12 09:57

you're right. the log seems to be from the open frontend. so nothing in log for calDAV. the used URL looks like https://mydomain.net/SOGo/dav/xxx@mydomain.net/Calendar/xxxxxxxxxxxxxx/ [^]
User avatar (0013339)
Christian Mack (developer)
2019-02-12 10:43

Which calDAV client are you using?
(0013341)
MarcusKA (reporter)
2019-02-12 16:14

openHAB calDAV Binding and CalDAV Sync on Android. But a purge and installing the newest nightly version fixed that issue now again. No glue what happened. So this case can get closed.

Thanks for your help.

- Issue History
Date Modified Username Field Change
2019-02-05 16:32 MarcusKA New Issue
2019-02-06 04:45 Christian Mack Note Added: 0013321
2019-02-12 05:36 MarcusKA Note Added: 0013336
2019-02-12 09:17 Christian Mack Note Added: 0013337
2019-02-12 09:57 MarcusKA Note Added: 0013338
2019-02-12 10:43 Christian Mack Note Added: 0013339
2019-02-12 16:14 MarcusKA Note Added: 0013341
2019-02-12 17:56 ludovic Status new => closed
2019-02-12 17:56 ludovic Assigned To => ludovic
2019-02-12 17:56 ludovic Resolution open => no change required


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker